Bug 119359 - Permissions not properly set on new language instances with text assets
Summary: Permissions not properly set on new language instances with text assets
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 113496
TreeView+ depends on / blocked
 
Reported: 2004-03-29 21:04 UTC by Jon Orris
Modified: 2007-04-18 17:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-30 22:18:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Orris 2004-03-29 21:04:11 UTC
Description of problem:
@41844/postgres

CMS Item permissions are not properly set for newly created language
instances if the item has a text asset.

To Reproduce:
1) Log in as an Author
2) Create an Article
3) Add some text to the article (important).
4) Go to languages and add a new language.

Although the "Lock Task" links show up and seem to work, the Author
has no permission to edit any attributes of the item. Note that step 3
above is key. If there is no text asset, and a new language instance
is created, the permissions work fine.

Occurs on fresh & upgraded databases, causes failure for Multi Lingual
E-tester test.



2004-03-29 16:00:33,525 [004-1] DEBUG cms.SecurityManager - Access
check: user [com.arsdigita.kernel.User:{id=12008}], object
[com.arsdigita.cms.contenttypes.Article:{id=37010}], action edit_item
2004-03-29 16:00:33,525 [004-1] DEBUG permissions.PermissionService -
checking cms_edit_item on
[com.arsdigita.cms.contenttypes.Article:{id=37010}] for
[com.arsdigita.kernel.User:{id=12008}]
2004-03-29 16:00:33,530 [004-1] DEBUG cms.SecurityManager - Doesn't
have edit item permission, returning false
2004-03-29 16:00:33,530 [004-1] DEBUG
workflow.WorkflowLockedComponentAccess - Superclass security check
passed. SecurityManager check is false

Comment 1 Jon Orris 2004-03-30 22:18:57 UTC
Fixed @41909.



Note You need to log in before you can comment on or make changes to this bug.